#
# Conditional build:
%bcond_without	ixion		# ixion-based spreadsheet model support
%bcond_without	python		# Python 3 binding
%bcond_without	static_libs	# static library
#
Summary:	Standalone file import filter library for spreadsheet documents
Summary(pl.UTF-8):	Biblioteka samodzielnego filtra importującego pliki dla arkuszy kalkulacyjnych
Name:		liborcus
Version:	0.13.4
Release:	2
License:	MPL v2.0
Group:		Libraries
#Source0Download: https://gitlab.com/orcus/orcus
Source0:	http://kohei.us/files/orcus/src/%{name}-%{version}.tar.xz
# Source0-md5:	a2d561a5fd48ccfd9e1011b525771a36
Patch0:		%{name}-flags.patch
URL:		https://gitlab.com/orcus/orcus
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	boost-devel >= 1.36
%{?with_ixion:BuildRequires:	ixion-devel >= 0.13.0}
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:1.5
BuildRequires:	mdds-devel >= 1.2.1
BuildRequires:	pkgconfig >= 1:0.20
%{?with_python:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liborcus is a standalone file import filter library for spreadsheet
documents. Currently under development are ODS, XLSX and CSV import
filters.

%description -l pl.UTF-8
liborcus to biblioteka samodzielnego filtra importującego pliki dla
arkuszy kalkulacyjnych. Obecnie rozwijane są filtry importujące
dokumenty ODS, XLSX i CSV.

%package devel
Summary:	Header files for liborcus
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liborcus
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-devel >= 1.36
Requires:	libstdc++-devel >= 6:4.7

%description devel
This package contains the header files for developing applications
that use liborcus.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę liborcus.

%package static
Summary:	Static liborcus library
Summary(pl.UTF-8):	Statyczna biblioteka liborcus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liborcus library.

%description static -l pl.UTF-8
Statyczna biblioteka liborcus.

%package spreadsheet
Summary:	liborcus spreadsheet model library
Summary(pl.UTF-8):	Biblioteka liborcus spreadsheet model
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ixion >= 0.13.0

%description spreadsheet
liborcus spreadsheet model library.

%description spreadsheet -l pl.UTF-8
Biblioteka liborcus spreadsheet model (modelu arkuszy kalkulacyjnych).

%package spreadsheet-devel
Summary:	Development files for liborcus spreadsheet model library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki liborcus spreadsheet model
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-spreadsheet = %{version}-%{release}
Requires:	ixion-devel >= 0.13.0

%description spreadsheet-devel
Development files for liborcus spreadsheet model library.

%description spreadsheet-devel -l pl.UTF-8
Pliki programistyczne biblioteki liborcus spreadsheet model.

%package spreadsheet-static
Summary:	Static liborcus spreadsheet model library
Summary(pl.UTF-8):	Biblioteka statyczna liborcus spreadsheet model
Group:		Development/Libraries
Requires:	%{name}-spreadsheet-devel = %{version}-%{release}

%description spreadsheet-static
Static liborcus spreadsheet model library.

%description spreadsheet-static -l pl.UTF-8
Biblioteka statyczna liborcus spreadsheet model.

%package -n python3-orcus
Summary:	Python 3 binding for liborcus library
Summary(pl.UTF-8):	Wiązanie Pythona 3 do biblioteki liborcus
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-libs >= 1:3.2

%description -n python3-orcus
Python 3 binding for liborcus library.

%description -n python3-orcus -l pl.UTF-8
Wiązanie Pythona 3 do biblioteki liborcus.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	am_cv_python_pyexecdir=%{py3_sitedir} \
	am_cv_python_pythondir=%{py3_sitescriptdir} \
	--disable-debug \
	%{!?with_python:--disable-python} \
	--disable-silent-rules \
	%{!?with_ixion:--disable-spreadsheet-model} \
	%{!?with_static_libs:--disable-static} \
	--disable-werror \
	--with-pic

%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/liborcus-*.la

%if %{with python}
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/*.la
%if %{with static_libs}
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/*.a
%endif
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	spreadsheet -p /sbin/ldconfig
%postun	spreadsheet -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG ChangeLog LICENSE README.md
%attr(755,root,root) %{_bindir}/orcus-css-dump
%attr(755,root,root) %{_bindir}/orcus-detect
%attr(755,root,root) %{_bindir}/orcus-json
%attr(755,root,root) %{_bindir}/orcus-mso-encryption
%attr(755,root,root) %{_bindir}/orcus-xml-dump
%attr(755,root,root) %{_bindir}/orcus-yaml
%attr(755,root,root) %{_bindir}/orcus-zip-dump
%attr(755,root,root) %{_libdir}/liborcus-0.13.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liborcus-0.13.so.0
%attr(755,root,root) %{_libdir}/liborcus-mso-0.13.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liborcus-mso-0.13.so.0
%attr(755,root,root) %{_libdir}/liborcus-parser-0.13.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liborcus-parser-0.13.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liborcus-0.13.so
%attr(755,root,root) %{_libdir}/liborcus-mso-0.13.so
%attr(755,root,root) %{_libdir}/liborcus-parser-0.13.so
%{_includedir}/liborcus-0.13
%{_pkgconfigdir}/liborcus-0.13.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/liborcus-0.13.a
%{_libdir}/liborcus-mso-0.13.a
%{_libdir}/liborcus-parser-0.13.a
%endif

%if %{with ixion}
%files spreadsheet
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/orcus-csv
%attr(755,root,root) %{_bindir}/orcus-gnumeric
%attr(755,root,root) %{_bindir}/orcus-styles-ods
%attr(755,root,root) %{_bindir}/orcus-ods
%attr(755,root,root) %{_bindir}/orcus-xls-xml
%attr(755,root,root) %{_bindir}/orcus-xlsx
%attr(755,root,root) %{_bindir}/orcus-xml
%attr(755,root,root) %{_libdir}/liborcus-spreadsheet-model-0.13.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liborcus-spreadsheet-model-0.13.so.0

%files spreadsheet-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liborcus-spreadsheet-model-0.13.so
%{_pkgconfigdir}/liborcus-spreadsheet-model-0.13.pc

%files spreadsheet-static
%defattr(644,root,root,755)
%{_libdir}/liborcus-spreadsheet-model-0.13.a
%endif

%if %{with python}
%files -n python3-orcus
%defattr(644,root,root,755)
%attr(755,root,root) %{py3_sitedir}/_orcus.so
%attr(755,root,root) %{py3_sitedir}/_orcus_json.so
%{py3_sitescriptdir}/orcus
%endif
%changelog
* Mon Jul 02 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liborcus.git;a=log;h=master

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d6cc7c2
- release 2 (by relup.sh)

* Thu May 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bed0ec6
- up to 0.13.4

* Thu Feb 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 73b4d81
- up to 0.13.2

* Sun Apr 09 2017 Jakub Bogusz <qboosh@pld-linux.org> b3ddaf7
- release 2 (rebuild with boost 1.63)

* Thu Feb 02 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 02104ff
- up to 0.12.1

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e61e29d
- python 3.6
- release 2 (by relup.sh)

* Tue Aug 30 2016 Jakub Bogusz <qboosh@pld-linux.org> d485484
- updated to 0.12.0 (note: new library names, API 0.12; uses ixion 0.12)
- added flags patch

* Sun May 22 2016 Jakub Bogusz <qboosh@pld-linux.org> e84b874
- stabilize pythondir

* Tue May 17 2016 Jakub Bogusz <qboosh@pld-linux.org> cbb865a
- updated to 0.11.2 (new library name, API 0.11; liborcus 0.9.x with API 0.10 left on liborcus-0.10 branch)

* Sun Nov 15 2015 Jan Rękorajski <baggins@pld-linux.org> 017e951
- release 5 (by relup.sh)

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e4c4f1f
- release 4 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e240af3
- release 3 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 26e24cb
- release 2 (by relup.sh)

* Fri Jul 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 5e8abfa
- updated to 0.9.2

* Sun Jun 14 2015 Jan Rękorajski <baggins@pld-linux.org> 4ef4a54
- release 3 (by relup.sh)

* Fri Jun 05 2015 Łukasz Kieś <kiesiu@pld-linux.org> 1595673
- rebuild with boost 1.58
- release 2 (by relup.sh)

* Fri May 29 2015 Jakub Bogusz <qboosh@pld-linux.org> e292d5b
- updated to 0.9.1

* Sun May 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 8d92763
- updated to 0.9.0 (note: new library name)

* Tue Feb 17 2015 Jan Rękorajski <baggins@pld-linux.org> 07b9a51
- rebuild with boost 1.57.0
- release 3 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> d188aa1
- rebuild with boost 1.56.0
- release 2 (by relup.sh)

